{{#if (or @value.data.button (not @value.data.content))}}
  {{! template-lint-disable no-invalid-interactive }}
  <Container
    @value={{@value.data.container}}
    @deviceSize={{@deviceSize}}
    data-name={{@value.name}}
    data-gid={{@value.gid}}
    data-path="{{@path}}.data.container"
    class="use-highlights"
    ...attributes
  >
    <Button
      @value={{@value.data.button}}
      @isEditor={{@isEditor}}
      @deviceSize={{@deviceSize}}
      @model={{@model}}
      data-path="{{@path}}.data.button"
      data-name={{@value.name}}
      data-gid={{@value.gid}}
      data-editor="button"
      data-type="button"
      data-model="page"
      data-model-id={{@model.page.id}}
    />
  </Container>
{{else}}
  <div class="use-highlights" ...attributes>
    <div
      class="d-none"
      data-path="{{@path}}.data.button"
      data-name={{@value.name}}
      data-gid={{@value.gid}}
      data-editor="button"
      data-type="button"
      data-model="page"
      data-model-id={{@model.page.id}}
    ></div>
    <div
      class="button-container
        {{page-col-class
          @value.data.containerStyle.classes
          deviceSize=@deviceSize
        }}"
    >
      {{#if (eq @value.data.content.type "app-store")}}
        <AppStoreLink
          @to={{this.link}}
          @isEditor={{@isEditor}}
          @newTab={{@value.data.content.newTab}}
          @storeType={{@value.data.content.storeType}}
          class={{page-col-class
            @value.data.style.classes
            deviceSize=@deviceSize
          }}
        />
      {{else}}
        <Link
          @isEditor={{@isEditor}}
          @space={{@space}}
          @to={{this.link}}
          @newTab={{@value.data.content.newTab}}
          class="btn
            {{page-col-class @value.data.style.classes deviceSize=@deviceSize}}"
        >
          <ButtonPicture @isEditor={{@isEditor}} @deviceSize={{@deviceSize}} @value={{@value}} @text={{@value.data.content.name}} />
        </Link>
      {{/if}}
    </div>
  </div>
{{/if}}